Subject: [os2genau_digest] No. 2017
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 3 Dec 2010 00:00:05 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 02 December 2010
 Number  2017
**************************************************

Subjects for today
 
1   Hosting : Dennis Nolan <dennis at jeg-og dot com>
2  Re:  Hosting : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Thu, 02 Dec 2010 19:42:32 +1100
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:   Hosting

Firstly A very Merry Merry Christmas to everyone.

Now the reason for this post>

An organisation I am a member of (The Australian Photographic Society) 
has just received a hosting proposal from Net Registry Pty. Ltd. and 
asked for my comments.

Does anyone have any comment on this company?

Regards

Dennis.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Thu, 02 Dec 2010 22:47:34 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Hosting

Dennis Nolan wrote:
> Firstly A very Merry Merry Christmas to everyone.
>
> Now the reason for this post>
>
> An organisation I am a member of (The Australian Photographic Society)
> has just received a hosting proposal from Net Registry Pty. Ltd. and
> asked for my comments.
>
> Does anyone have any comment on this company?

I don't know anything about it, but it looks respectable. My feeling,
though, is that anyone who is sending you hosting proposals is likely to
be more expensive than anyone you find by searching yourself. There are
lots of hosting companies around, and the prices are all over the map.

I'm currently going through the same exercise for my choir. After
checking a number of hosting companies, I am inclined to go for WebCity,
who has been my domain name registrar for several years and has shown
every sign of being respectable but inexpensive. (I chose them
originally because they had better prices for domain name registration
than other Australian registrars. And I avoided non-Australian
registrars because there are some very shonky companies out there. (Side
comment: DO NOT UNDER ANY CIRCUMSTANCES DEAL WITH THE DOMAIN REGISTRY OF
AMERICA.) The WebCity prices for hosting are listed here:

   http://hosting.webcity dot com dot au/compare.php

Note that prices go from $6/month for very basic hosting up to $50/month
for all the bells and whistles. The (more typical) prices from
NetRegistry are shown here

  http://www dot netregistry dot com dot au/web-hosting/

and these range from $16/month to $300/month. This is a good indication
of how much price variation there is in the market at the moment. There
are other companies with even higher prices.

To work out total price, you need to look at these components:

 - the actual hosting, as covered above; medium to high cost,
   depending on things like how much storage you need.

 - domain name registration (usually cheap - I'm paying
   about $12/year for my domain)

 - DNS hosting: cheap, and often included in web
   hosting plans, although I'm finding it a bit of a headache
   figuring out exactly what is and isn't included.

 - web site design: zero cost if you do it yourself, but can be
   pretty expensive if you use professional designers.

 - e-commerce facilities if needed (e.g. accepting credit card
   payments on-line): this can cost more than the hosting
   itself, e.g. the NetRegistry cheapest package adds an extra
   $60/month to the basic cost. (But PayPal provides a cut-price
   solution for this.)

You need to think carefully about what features you want from the
hosting provider. For my choir the cheapest possible solution should be
OK - we don't do e-commerce, we don't expect large traffic levels, we
can live with web pages that aren't too fancy, we don't need more than
one e-mail address, and we only want a basic presence on the web: 3 or 4
pages plus perhaps a photo gallery. A 1 Gigabyte disk space should be
adequate for us, so I'm going to recommend to our committee that we go
for the WebCity cheapest deal.

I imagine that a photographic society would want to chew up a lot more
disk space for graphics, so it would want a hosting plan that has
generous disk space provision. (People in such a society will certainly
have a better feel than I do for how many photos you can fit per
gigabyte. Photos are going to be the dominant factor in deciding how
much disk space you need. The HTML text is insignificant by comparison.)
Maybe it would also want to use a professional web site designer, but
note that you can decouple this decision from the hosting decision. Some
companies offer a "package deal" which is web site design plus hosting,
but in my opinion that limits your options. Either design your own site,
or search for a designer who is independent of the hosting company.

I presume that the society would only be doing a limited form of
e-commerce: things like annual renewal of membership, but not things
like selling stuff. If so, search around for the most basic sort of
e-commerce support. (It's not essential to use the solution provided by
the hosting provider.) If the society does want to sell stuff on-line,
tread very carefully. I don't have experience in this area, but I know
that the prices can be frighteningly high. That's why people like
shareware authors stick to PayPal. It might be basic, but it's cheap.

I have a 5-page OpenOffice document that I prepared for my choir to
explain what is needed and the likely costs. I don't think this list
accepts attachments, but I'd be happy to e-mail it to anyone who asks.
(But note that this is for an economical solution, as befits a small
community group, not a professional-quality one.) In the next couple of
days I have to refine that document into the form of a concrete proposal.

Peter

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===